## org.python.core
Class PyUnicode

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.PyBaseString
                  org.python.core.PyString
                      org.python.core.PyUnicode

All Implemented Interfaces:
  Serializable, Iterable

Direct Known Subclasses:
  PyUnicodeDerived

    public class PyUnicode

extends PyString
implements Iterable

a builtin python unicode string.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyType` `TYPE`

Constructor Summary
`PyUnicode()`
`PyUnicode(char c)`
`PyUnicode(Collection<Integer> ucs4)`
`PyUnicode(int codepoint)`
`PyUnicode(int[] codepoints)`
`PyUnicode(Iterator<Integer> iter)`
`PyUnicode(PyString pystring)`
`PyUnicode(PyType subtype, PyString pystring)`
`PyUnicode(PyType subtype, String string)`
`PyUnicode(String string)`
`PyUnicode(String string, boolean isBasic)`

Method Summary
`PyObject` `__add__(PyObject other)` Equivalent to the standard Python __add__ method
`PyComplex` `__complex__()` Equivalent to the standard Python __complex__ method.
`int` `__len__()` Equivalent to the standard Python __len__ method.
`PyObject` `__mod__(PyObject other)` Equivalent to the standard Python __mod__ method
`PyString` `__repr__()` Equivalent to the standard Python __repr__ method.
`PyString` `__str__()` Equivalent to the standard Python __str__ method.
`PyUnicode` `__unicode__()`
`double` `atof()`
`int` `atoi(int base)`
`PyLong` `atol(int base)`
`PyString` `createInstance(String str)`
`static PyUnicode` `fromInterned(String interned)` Creates a PyUnicode from an already interned String.
`int` `getCodePointCount()`
`boolean` `isBasicPlane()`
`Iterator<Integer>` `iterator()`
`PyString` `join(PyObject seq)`
`Iterator<Integer>` `newSubsequenceIterator()`
`Iterator<Integer>` `newSubsequenceIterator(int start, int stop, int step)`
`PyTuple` `partition(PyObject sep)`
`PyTuple` `rpartition(PyObject sep)`
`String` `substring(int start, int end)`
`int[]` `toCodePoints()`

Methods inherited from class org.python.core.PyString

`__cmp__, __contains__, __eq__, __float__, __ge__, __getnewargs__, __gt__, __int__, __invert__, __le__, __long__, __lt__, __mul__, __ne__, __neg__, __pos__, __rmul__, __tojava__, asDouble, asInt, asLong, asName, asString, asString, atoi, atol, capitalize, center, count, count, count, decode_UnicodeEscape, decode, decode, decode, encode_UnicodeEscape, encode, encode, encode, endswith, endswith, endswith, expandtabs, expandtabs, find, find, find, getString, hashCode, index, index, index, internedString, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isunicode, isupper, ljust, ljust, lower, lstrip, lstrip, rfind, rfind, rfind, rindex, rindex, rindex, rjust, rsplit, rsplit, rsplit, rstrip, split, split, split, splitlines, splitlines, startswith, startswith, startswith, str___mod__, strip, strip, swapcase, title, toBytes, toString, translate, translate, translate, upper, zfill`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __finditem__, __finditem__, __getitem__, __getslice__, __iter__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType, isSequenceType`

Methods inherited from class org.python.core.PyObject

`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __lshift__, __not__, __oct__, __or__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __rfloordiv__, __rlshift__, __rmod__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __sub__, __truediv__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asIndex, asIndex, asInt, asIterable, asLong, asName, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final PyType TYPE

Constructor Detail

### PyUnicode

    public PyUnicode()

### PyUnicode

    public PyUnicode(String string)

### PyUnicode

    public PyUnicode(String string,
                     boolean isBasic)

### PyUnicode

    public PyUnicode(PyType subtype,
                     String string)

### PyUnicode

    public PyUnicode(PyString pystring)

### PyUnicode

    public PyUnicode(PyType subtype,
                     PyString pystring)

### PyUnicode

    public PyUnicode(char c)

### PyUnicode

    public PyUnicode(int codepoint)

### PyUnicode

    public PyUnicode(int[] codepoints)

### PyUnicode

    public PyUnicode(Iterator<Integer> iter)

### PyUnicode

    public PyUnicode(Collection<Integer> ucs4)

Method Detail

### toCodePoints

    public int[] toCodePoints()

  Overrides:
    `toCodePoints` in class `PyString`

### substring

    public String substring(int start,
                            int end)

  Overrides:
    `substring` in class `PyString`

### fromInterned

    public static PyUnicode fromInterned(String interned)

  Creates a PyUnicode from an already interned String. Just means it won't be reinterned if used in a place that requires interned Strings.

### isBasicPlane

    public boolean isBasicPlane()

### getCodePointCount

    public int getCodePointCount()

### createInstance

    public PyString createInstance(String str)

  Overrides:
    `createInstance` in class `PyString`

### __mod__

    public PyObject __mod__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __mod__ method

  Overrides:
    `__mod__` in class `PyString`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined

### __unicode__

    public PyUnicode __unicode__()

  Overrides:
    `__unicode__` in class `PyString`

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyString`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyString`
  Returns:
    the length of the object

### __repr__

    public PyString __repr__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__repr__` in class `PyString`

### newSubsequenceIterator

    public Iterator<Integer> newSubsequenceIterator()

### newSubsequenceIterator

    public Iterator<Integer> newSubsequenceIterator(int start,
                                                    int stop,
                                                    int step)

### __add__

    public PyObject __add__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyString`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### partition

    public PyTuple partition(PyObject sep)

  Overrides:
    `partition` in class `PyString`

### rpartition

    public PyTuple rpartition(PyObject sep)

  Overrides:
    `rpartition` in class `PyString`

### join

    public PyString join(PyObject seq)

  Overrides:
    `join` in class `PyString`

### iterator

    public Iterator<Integer> iterator()

  Specified by:
    `iterator` in interface `Iterable`

### __complex__

    public PyComplex __complex__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __complex__ method. Should only be overridden by numeric objects that can be reasonably coerced into a python complex number.

  Overrides:
    `__complex__` in class `PyString`
  Returns:
    a complex number corresponding to the value of this object.

### atoi

    public int atoi(int base)

  Overrides:
    `atoi` in class `PyString`

### atol

    public PyLong atol(int base)

  Overrides:
    `atol` in class `PyString`

### atof

    public double atof()

  Overrides:
    `atof` in class `PyString`

Jython homepage